HTML
preventDefault

jQuery
JSON.stringify (to convert object to string)
JSON.parse (to convert string to object)

prepend adds item at start
append adds item at the end

$('.class-name').on('click', function(){
    anything
})

    # when the elements are dynamically assigned to the document
    # // but is not actually inside HTML
$(document).on('click', '.class-name', function(){

})

